LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   libpng problem with xfe file manage (http://www.linuxquestions.org/questions/slackware-14/libpng-problem-with-xfe-file-manage-582012/)

davimint 09-03-2007 11:44 PM

libpng problem with xfe file manage
 
Hello all:

Decide to take a break from networking my computers and was looking around at file managers available in GUI. The xfe looked good so to make a long store short I'm having problems.

It was listed on "SlackBuilds.org" but could not get the source to load so I downloaded the only version I could find from "sourceforge" which was 1.00. I changed the slackbuild version number and it would not work.

So, next step was to try out the src2pkg tool and I got the following errors on it.

Code:

bash-3.1# src2pkg xfe-1.00.tar.gz
Found source archive: xfe-1.00.tar.gz
Deleting old build files - Done
Creating working directories:
  PKG_DIR=/tmp/xfe-1.00-pkg-1
  SRC_DIR=/tmp/xfe-1.00-src-1
Unpacking source archive - Done
Found 'rpm2tgz' format:
Correcting source permissions - Done
Checking for patches - None found
Found configure script - Configuring sources using:
  CFLAGS=-O2 -march=i486 -mtune=i686 ./configure --prefix=/usr
Configuration has been - Successful!
Compiling sources - Using: 'make'
ERROR! Compiling source code has failed.
This usually happens because of missing libraries, or
badly written Makefiles or configure scripts.
Found an RPM .spec file which shows this:
Requires: fox >= 1.6 libpng >= 1.2
BuildRequires: fox-devel >= 1.6 libpng-devel >= 1.2

src2pkg FAILURE in compile_source

I check on the libpng and that's the newest version I can find. I don't understand this one so could someone point me in the right direction.

Note: The fox-toolkit worked great on the "slackbuild" and according to the doc's this was the only dependency mentioned.

Thanks for the help.

gnashley 09-04-2007 02:05 AM

Do you have the fox libraries already installed? If not install them first.
You can run src2pkg with the -VV or -R options to see the full output of 'configure' and 'make' whioch should give more clues.

davimint 09-04-2007 12:36 PM

gnashley,
At work now, but yes the fox libraries were installed.. I'll try it
again when I get home and get more info... I really like the src2pkg and its worked everytime except this one... I must be doing something wrong.

davimint 09-04-2007 10:36 PM

Rebuilt the fox libraries just to make sure with src2pkg and they built fine just like the slackbuild did. Next I Installed and then tried to build xfe with src2pkg again and it filed again. I used the -VV switch to get this information.

Code:

++  -O2  -o xfe  icons.o StringList.o File.o FileDict.o FileList.o FileDialog.o DirList.o DirBox.o DialogBox.o MessageBox.o Bookmarks.o HistInputDialog.o InputDialog.o OverwriteBox.o TextWindow.o CommandWindow.o Properties.o Preferences.o FilePanel.o DirPanel.o DirHistBox.o XFileExplorer.o PathLinker.o BrowseInputDialog.o ArchInputDialog.o FontDialog.o main.o  -lpng -lFOX-1.6
main.o: In function `FX::FXDCWindow::drawText(int, int, char const*, unsigned int)':
main.cc:(.text+0xf93): undefined reference to `XftDrawStringUtf8'
main.cc:(.text+0xfce): undefined reference to `XftDrawString8'
main.o: In function `FX::FXFont::getTextWidth(char const*, unsigned int) const':
main.cc:(.text+0x105b): undefined reference to `XftTextExtentsUtf8'
main.cc:(.text+0x1095): undefined reference to `XftTextExtents8'
collect2: ld returned 1 exit status
make[2]: *** [xfe] Error 1
make[2]: Leaving directory `/tmp/xfe-1.00-src-1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/xfe-1.00-src-1'
make: *** [all] Error 2
ERROR! Compiling source code has failed.
This usually happens because of missing libraries, or
badly written Makefiles or configure scripts.
Found an RPM .spec file which shows this:
Requires: fox >= 1.6 libpng >= 1.2
BuildRequires: fox-devel >= 1.6 libpng-devel >= 1.2

src2pkg FAILURE in compile_source


Maybe someone can make since of this, it is above my knowledge at this point.

Thanks

gnashley 09-05-2007 02:26 AM

Last night I had a look at this. If you look at the spec file that comes with the sources it uses these options for configure:
--with-included-gettext --enable-release

It's the gettext that is causing the build to fail, but the other option is probably also useful someway.
Try this:'src2pkg -e='--with-included-gettext --enable-release' xfe-1.00.tar.gz'

The need for --with-included-gettext is one of the most comon causes of build failure. Sometimes it can also be corrected with --disable-nls. These options have to do with the compiling of the language translation files included with the software. Usually you can see that this is the case because builds will fail with errors about 'po' or 'mo' files.


All times are GMT -5. The time now is 02:29 AM.